Версия 3.2.0-pl
Дата выпуска 20.03.2024
Загрузки 45
Просмотры 1 133
Внимание, этот компонент требует версию PHP 7.4 или выше! Если ваш сайт использует PHP ниже требуемого, установка этого дополнения может его сломать.
Внимание, этот компонент требует версию MODX не ниже 3.0 !
FileMan – компонент для MODX Revolution 3, дающий возможность прикреплять к ресурсам файлы через административную панель.

Представляет собой развитие FileAttach для 3й версии MODX, включая некоторые улучшения.

Административный интерфейс
На странице редактирования ресурса появляется новая вкладка Файлы, содержащая таблицу прикрепленных файлов с элементами управления в верхней части.

Загрузка файлов доступна двумя способами:
— с компьютера пользователя, посредством стандартного окна загрузки файлов в MODX;
— по ссылке, исключая необходимость предварительного сохранения на компьютер.

Помимо управления файлами на странице ресурса реализован раздел Пакеты => FileMan для просмотра всех прикрепленных файлов на сайте. Здесь доступны все те же возможности, кроме непосредственно загрузки файлов.

Описание компонента и актуальная документация:
docs.modx.pro/components/fileman/

3.2.0-pl (March 20, 2024)

  • The component can now work without pdoTools (see fileman_pdotools setting)
  • New parameters for fmFiles snippet: tplRow, tplGroup, tplWrapper, wrapIfEmpty (if the fileman_pdotools setting is disabled)

3.1.5-pl (Feb 12, 2024)

  • [#2] Fixed a bug with template checking in the plugin
  • [#3] Fixed the toPlaceholder property of the fmFiles snippet
  • [#4] Fixed a bug with HTML entities in the resource pagetitle

3.1.4-pl

  • Fixed installer bug with FileManTemplate policy

3.1.0-pl

  • Added FileManPolicyTemplate policy template and permission checking in controllers
  • Fixed bug with fileman_doclist permission in plugin

3.0.2-pl

  • Fixed a fatal error when creating a resource

3.0.1-pl

  • Added en lexicon
  • Fixed auto title generation when uploading a file

3.0.0-beta

  • First version of the FileMan component
  • Requires MODX 3.
  • Requires PHP 7.2+.

Последние обсуждения в сообществе MODX.pro